use crate::stock::Stock;
use serde::Serialize;
use uuid::Uuid;

#[derive(Serialize)]
#[serde(rename_all = "snake_case")]
pub enum ServerResponse {
    /// Generic success
    Success,
    NewApiKey(Uuid),
    UserError(UserError),
    StockInfo(Stock),
}

#[derive(Serialize)]
pub enum UserError {
    InvalidPassword,
    InvalidApiKey,
    NotAuthorized,
}
